### Type parameters

- #### A

### Hierarchy

- Behavior<A>
  - SwitcherBehavior

## Index

### Constructors

- constructor

### Properties

- behavior
- cbListeners
- last
- listeners
- of
- pushing
- of

### Accessors

- def

### Methods

- addListener
- chain
- doSwitch
- map
- publish
- pull
- push
- unlisten

## Constructors

### constructor

- new SwitcherBehavior(behavior: Behavior<A>, next: Future<Behavior<A>>): SwitcherBehavior

- - Defined in Behavior.ts:322

  #### Parameters

  - ##### behavior: Behavior<A>

  - ##### next: Future<Behavior<A>>

  #### Returns SwitcherBehavior

## Properties

### behavior

behavior: Behavior<A>

- Defined in Behavior.ts:323

### cbListeners

cbListeners: function[] = []

Inherited from Behavior.cbListeners

- Defined in Behavior.ts:17

#### Type declaration

- - (b: A): void

  - #### Parameters

    - ##### b: A

    #### Returns void

### last

last: A

Inherited from Behavior.last

- Defined in Behavior.ts:20

### listeners

listeners: Consumer<any>[] = []

Inherited from Behavior.listeners

- Defined in Behavior.ts:19

### of

of: function = of

Inherited from Behavior.of

- Defined in Behavior.ts:54

#### Type declaration

- - <A>(v: A): Behavior<A>

  - #### Type parameters

    - #### A

    #### Parameters

    - ##### v: A

    #### Returns Behavior<A>

### pushing

pushing: boolean

Inherited from Behavior.pushing

- Defined in Behavior.ts:21

### of

of: function = of

Inherited from Behavior.of

- Defined in Behavior.ts:55

#### Type declaration

- - <A>(v: A): Behavior<A>

  - #### Type parameters

    - #### A

    #### Parameters

    - ##### v: A

    #### Returns Behavior<A>

## Accessors

### def

def:

Inherited from Behavior.def

- Defined in Behavior.ts:41

## Methods

### addListener

- addListener(listener: Consumer<any>): void

- Inherited from Behavior.addListener

  - Defined in Behavior.ts:63

  #### Parameters

  - ##### listener: Consumer<any>

  #### Returns void

### chain

- chain<B>(fn: function): Behavior<B>

- Inherited from Behavior.chain

  - Defined in Behavior.ts:57

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: function

    - - (a: A): Behavior<B>

      - #### Parameters

        - ##### a: A

        #### Returns Behavior<B>

### doSwitch

- doSwitch(newBehavior: Behavior<A>): void

- - Defined in Behavior.ts:337

  #### Parameters

  - ##### newBehavior: Behavior<A>

  #### Returns void

### map

- map<B>(fn: MapFunction): Behavior<B>

- Inherited from Behavior.map

  - Defined in Behavior.ts:48

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: MapFunction

  #### Returns Behavior<B>

### publish

- publish(b: A): void

- Inherited from Behavior.publish

  - Defined in Behavior.ts:23

  #### Parameters

  - ##### b: A

  #### Returns void

### pull

- pull(): A

- Overwrites Behavior.pull

  - Defined in Behavior.ts:334

  #### Returns A

### push

- push(val: A): void

- Overwrites Behavior.push

  - Defined in Behavior.ts:330

  #### Parameters

  - ##### val: A

  #### Returns void

### unlisten

- unlisten(listener: Consumer<any>): void

- Inherited from Behavior.unlisten

  - Defined in Behavior.ts:67

  #### Parameters

  - ##### listener: Consumer<any>

  #### Returns void

Generated using TypeDoc